<!-- 引导页 --><androidx.constraintlayout.widget.ConstraintLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent">
    <TextView
        android:layout_width="match_parent"
        android:layout_height="218dp"
        android:background="@drawable/activity_onboarding_bg"
    />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:gravity="center_horizontal"
        android:orientation="vertical"
        android:padding="16dp"
        app:layout_constraintStart_toStartOf="parent">

        <!-- 跳过 -->
        <LinearLayout
            android:id="@+id/ll_skip"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="end"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/tv_skip"
                android:layout_width="54dp"
                android:layout_height="27dp"
                android:layout_gravity="center"
                android:background="@drawable/tv_skip_bg"
                android:gravity="center"
                android:text="Skip"
                android:textColor="#1B1F1A"
                android:textSize="12sp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent" />
        </LinearLayout>

        <!-- 标题 -->
        <TextView
            android:id="@+id/tv_title"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="30dp"
            android:elevation="2dp"
            android:gravity="center"
            android:text="Please select your gender"
            android:textColor="#1B1F1A"
            android:textSize="24sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <ImageView
            android:id="@+id/iv_avatar"
            android:layout_width="219dp"
            android:layout_height="99dp"
            android:layout_marginTop="-80dp"
            android:elevation="1dp"
            android:src="@drawable/pleaseselectyourgender_bg" />

        <!-- 男 -->
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="12dp"
            android:orientation="vertical">

            <ImageView
                android:id="@+id/iv_avatar"
                android:layout_width="109dp"
                android:layout_height="140dp"
                android:layout_marginStart="20dp"
                android:elevation="1dp"
                android:src="@drawable/male" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="87dp"
                android:layout_marginTop="-87dp"
                android:background="@drawable/gender_background"
                android:gravity="end"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/tv_male"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginEnd="60dp"
                    android:text="Male"
                    android:textColor="#1B1F1A"
                    android:textSize="20sp" />
            </LinearLayout>
        </LinearLayout>

        <!-- 女 -->
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="12dp"
            android:gravity="end"
            android:orientation="vertical">

            <ImageView
                android:id="@+id/iv_avatar"
                android:layout_width="109dp"
                android:layout_height="140dp"
                android:layout_marginEnd="20dp"
                android:elevation="1dp"
                android:gravity="end"
                android:src="@drawable/female" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="87dp"
                android:layout_marginTop="-87dp"
                android:background="@drawable/gender_background"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/tv_male"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginStart="60dp"
                    android:text="Female"
                    android:textColor="#1B1F1A"
                    android:textSize="20sp" />
            </LinearLayout>
        </LinearLayout>

        <!-- 第三性别 -->
       <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="97dp"
            android:layout_marginTop="12dp"
            android:orientation="vertical">

            <ImageView
                android:id="@+id/iv_avatar"
                android:layout_width="57dp"
                android:layout_height="72dp"
                android:layout_marginStart="12dp"
                android:elevation="1dp"
                android:src="@drawable/question_mark_two" />

            <ImageView
                android:id="@+id/iv_avatar"
                android:layout_marginTop="-17dp"
                android:layout_width="36dp"
                android:layout_height="41dp"
                android:layout_marginStart="12dp"
                android:elevation="1dp"
                android:layout_gravity="end"
                android:src="@drawable/question_mark_one" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="87dp"
                android:layout_marginTop="-87dp"
                android:background="@drawable/gender_background"
                android:gravity="center"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/tv_male"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="The third gender"
                    android:textColor="#1B1F1A"
                    android:textSize="20sp" />
            </LinearLayout>
        </LinearLayout>

        <TextView
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1" />

        <TextView
            android:id="@+id/tv_description"
            android:layout_width="match_parent"
            android:layout_height="59dp"
            android:text="Turn on the keyboard"
            android:layout_gravity="bottom"
            android:gravity="center"
            android:textColor="#FFFFFF"
            android:background="@drawable/turn_keyboard_btn_bg"
            android:textSize="16sp"/>

    </LinearLayout>
</androidx.constraintlayout.widget.ConstraintLayout>
